Subject: Re: bug#35780: [PATCH] attempt to fix polyglossia

From: Ricardo Wurmus <[email-masked]>
Date: Sat, 18 May 2019 05:50:13 +0200

Hi Josh,

> I had a quick look into fixing this myself, and made a little bit
> of progress.  Not being that familiar with how things work yet,
> I'm going on what I can guess by looking at gnu/packages/tex.scm,
> guix/build-system/texlive.scm and guix/build/texlive-build-system.scm
> so I may well be misinterpreting some things.
>
> The source for polyglossia comes in a single file, polyglossia.dtx.
> The README embedded within it says to extract the files by running
> xetex or luatex on it.  I tried to convince the build system to do
> this by this patch, which may or may not have been the right approach.

Thanks for giving it a try.  The build system works on “ins” files by
default.  I guess it should try “dtx” files as well.

> It does at least get a new error:
>
> Generating file(s) ../README
> ! I can't write on file `../README.tex'.
>
> It appears to be trying to write its README file to the directory above
> the build directory, which is failing. Is there a way to make this
> directory writeable, or to stop the build system from trying to generate
> the README there?

We can patch the dtx file in a build phase and replace “../README” with
just “README”.  We can’t write to the parent of the build directory, and
extracting everything a level deeper seems wrong.

What do you think?

--
Ricardo